Solution to "Could not create java implementation loader"

Discussions about using 3rd party extension with OpenOffice.org

Solution to "Could not create java implementation loader"

Postby BE!Bob » Sat Mar 17, 2012 4:57 am

I had this problem recently. I had updated OO 3.1 directly to OO 3.3 by downloading and running the OO 3.3 installer. This was after the check for update button broke. Then I tried to install CompPad (great extension, by the way). When I tried to install it, I got the above error. I upgraded to the latest version of Java (runtime version 1.6.0_31). This did not work either and I ended up with two JRE versions on the computer. I tried the other solutions that I found in the forums (clean profile and uncheck the "use a java runtime environment" button) but they did not work.

Here is the solution I finally got to work:
Uninstall all versions of Java, reboot
Install the latest Java, reboot
Uninstall OO 3.3.0, reboot
Rename the OO profile in my user account so it can't be found
Install OO 3.2.0 (this seems to be a key step), run it once so it populates a new profile, reboot
Install the CompPad extension (hopefully successfully at this point)
Install OO 3.3.0 directly over OO 3.2.0, run it once
All should be fine at this point.
I then installed Alternate Search and Replace (another great extension)

I've seen others have this problem in the forums so I thought I would post my solution. I could not find this solution, but one of the other forum threads put me on to the problem with the jump from 3.1 to 3.3. The system I was working on is running Windows 7 Starter on an Acer AspireOne netbook, 1 GB RAM, 1024x768 screen res. I hope this helps someone avoid the time I wasted trying to get this to work.
OpenOffice 4.1.2 on Windows 7 Pro and LibreOffice 4.2.8.2 on Ubuntu 14.04
Extensions (OpenOffice): Alternative searching 1.4, Zotero LibreOffice Integration 3.5.9
BE!Bob
 
Posts: 9
Joined: Mon Oct 19, 2009 12:07 am

Re: Solution to "Could not create java implementation loader

Postby julinalex07 » Mon Apr 09, 2012 7:49 am

This is most probably an issue with the Java Run Time Environment(JRE) installed in your computer ,
In some computers . even though java is successfully installed it shows some issues with a component known as Java Virtual Machine ,
To make sure your computers JRE is working properly go to control panel --> there should be a java icon --> try to open it

If a dialogue box opens up successfully , the is no problem with the JRE ,

Please post a reply after you have checked if you're JRE is working..

Thank you
Windows XP Professional SP2 OpenOffice 3.3
julinalex07
 
Posts: 4
Joined: Mon Apr 09, 2012 7:42 am

Re: Solution to "Could not create java implementation loader

Postby dulik » Thu Jun 14, 2012 1:18 pm

BE!Bob wrote:Install OO 3.2.0 (this seems to be a key step), run it once so it populates a new profile, reboot


Thanks a lot for this guide!

I have been struggling 3 days with installation of Zotero plugin. It did not work in OpenOffice 3.3, 3.4 and LibreOffice 3.5.4 - they all ended with error "Could not create java implementation loader".
I have tried everything recommended on various forums, on top of that, I tried also Java7 64bit version, no avail.
Aside of Win7, I have tried the same on Windows XP SP3 with same results ("Could not create java implementation loader").

Finally I found this post. Using a historical OO 3.2 installation, bingo - everything works now.

P.S.: I use the Czech versions of Windows, OO and LO. I did not test the English versions.
OpenOffice 3.2 on Windows 7-x64
dulik
 
Posts: 1
Joined: Thu Jun 14, 2012 12:45 pm

Re: Solution to "Could not create java implementation loader

Postby Rushna » Tue Jun 13, 2017 7:18 am

Hi...,you have need to install java 32bit it will compatible with openOffice (jdk-7-windows-i586 ) and then go to
OpenOffice -> Tools -> Options -> Java -> Add path of java->jre.

I hope you will sorted out.
OpenOffice 4.3.1 on Windows 7
Rushna
 
Posts: 19
Joined: Tue May 09, 2017 12:42 pm


Return to Extensions

Who is online

Users browsing this forum: No registered users and 4 guests